
package plecakbfs;

/**
 * Główna klasa programu
 * @author Mateusz Łyczek
 */
public class Main {
    public static void main(String[] args) {
        Plecak plecak = new Plecak();
		BFS_BB algorytm = new BFS_BB(plecak);

		PlecakNode result = algorytm.calculate();  // rozwiązujemy problem plecakowy

		// wypisujemy rozwiązanie
		System.out.println("------ Rozwiązanie ------");
		System.out.print("Rzeczy: ");
		Integer[] items = result.getItems();
		for(int i=0; i < items.length; i++) {
			System.out.print(items[i]);
			if(i != items.length-1) {
				System.out.print(", ");
			}
		}

		System.out.println("  (" + result.getProfit() + " zł)");
    }
}
